A route defines a directional link between two tokens on two different chains: a source token (referred to as the ad token) and a destination token (referred to as the order token). When a Maker creates a liquidity ad, they select a route that determines which tokens they are providing liquidity for. When a Bridger creates a trade, they select an ad whose route matches their desired transfer. Routes are read-only through the public API. Only administrators can register new routes.Documentation Index
Fetch the complete documentation index at: https://docs.pfbridge.xyz/llms.txt
Use this file to discover all available pages before exploring further.
GET /v1/routes
List available cross-chain routes with optional filters. Returns a paginated list.Query parameters
Filter by source token UUID. Returns only routes where the ad token matches.
Filter by destination token UUID. Returns only routes where the order token matches.
Filter by the source chain ID (e.g.,
"11155111" for Ethereum Sepolia, "1000001" for Stellar Testnet).Filter by the destination chain ID (e.g.,
"11155111" for Ethereum Sepolia).Filter by token symbol. Returns routes where either token matches the symbol (e.g.,
"USDC").Pagination cursor from a previous response’s
nextCursor field.Number of results per page. Between 1 and 100.
Response fields
Array of route objects. See Route object fields below.
Cursor for the next page.
null when you have reached the last page.GET /v1/routes/:id
Retrieve full details for a single route by its UUID.Path parameters
UUID of the route to retrieve.
Route object fields
UUID of the route.
Arbitrary metadata associated with the route (may be an empty object).
ISO 8601 timestamp of when the route was registered.
ISO 8601 timestamp of the last update.
The source token for this route.
The destination token for this route. Same structure as
adToken.